# dev-containers

## Running containers

```docker run --rm -it -v $(pwd):/mnt/dev <container_name>```

## Building and pushing to Container Registry

### Preparation

1. Login to container registry with your git credentials

    ```docker login gitlab.keith-koep.com:5050```

### Build and push

1. Navigate to the directory of the container you want to build

2. Build with 

    ```docker build docker build -t gitlab.keith-koep.com:5050/imx/uboot-imx:<flavour, which is a directory name> .```

    or with prepared script

    ```./build.sh```

3. Push with 

    ```docker push gitlab.keith-koep.com:5050/imx/uboot-imx:<flavour, which is a directory name>```

    or with prepared script

    ```./push.sh```

4. You can rebuild the container without using build cache with

```docker build --no-cache -t gitlab.keith-koep.com:5050/imx/uboot-imx:<flavour, which is a directory name> .```


## Build multi-arch containers

### Preparation steps

1. Check which builders are available

    ```docker buildx ls```

2. Create a custom builder `kuk-builder`

    ```docker buildx create --name kuk-builder default```


3. Choose this bulder to use by default

    ```docker buildx use kuk-builder```


### Build and push

1. Build and push with

    ```docker buildx build --platform linux/amd64,linux/arm64 -t gitlab.keith-koep.com:5050/imx/uboot-imx:<flavour name> --push . ```

    or with prepared script

    ```./build-multiarch-and-push.sh```