#! /bin/bash

# Shows builders installed
docker buildx ls

# Check if custom builder exists. Create otherwise
if [[ -z $(docker buildx ls | grep kuk-builder) ]]; then
    docker buildx create --name kuk-builder default
fi

# Use builder that supports platform
docker buildx use kuk-builder

# Build for linux/amd64, linux/arm64
docker buildx build --platform linux/arm64,linux/amd64 -t gitlab.keith-koep.com:5050/kutuzov/dev-containers/$(basename $(pwd)):latest --push .